Get Nsx V Manager Settings

Get Nsx V Manager Settings
Get Virtual Center server network settings

Retrieve the networking configuration of a registered vCenter server.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}/nsxVSettings
COPY
Path Parameters
string
vcUrn
Required

vcUrn


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns NsxVManagerSettings of type(s) application/json;version=9.1.0
{
    "vcId": "urn:vcloud:vimserver:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "networkProviderScope": "string",
    "controlVmResourcePoolVcPath": "string",
    "controlVmDatastoreName": "string",
    "controlVmManagementInterfaceName": "string"
}

400

Invalid configuration.

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

404

The specified resource was not found

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}/nsxVSettings